Bug 417651 - Under Xen kernel, the iwl3945 driver does not create wlan0
Under Xen kernel, the iwl3945 driver does not create wlan0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 22:19 EST by Jim Roland
Modified: 2009-12-14 15:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:28:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Roland 2007-12-09 22:19:20 EST
Description of problem:
When booting to Xen kernel, iwl3945 does show up in dmesg and device is
discovered, however the wlan0 device is not created (ifconfig knows nothing
about it-NetworkManager says no wireless created).  When booting to a non-xen
kernel, it is created and NetworkManager knows about device and wireless works.

Version-Release number of selected component (if applicable):
Name   : iwl3945-firmware
Arch   : noarch
Version: 2.14.1.5
Release: 2

How reproducible:
Boot on current xen kernel

Additional info:
works on non-xen: 2.6.23.8-63.fc8
nowork on xen: 2.6.21-2952.fc8xen
Comment 1 Matthias Saou 2007-12-17 16:04:12 EST
Reassigning to kernel-xen since this doesn't seem firmware package dependent,
but specific to the Xen kernel.
Comment 2 Bryan Hundven 2008-01-07 15:35:37 EST
I am also seeing the same issue on my thinkpad t60 w/iwl3945 and xen.
Wireless works on 2.6.23.8-63.fc8, but not on 2.6.21-2952.fc8xen
Comment 3 Bruce M. Kantor 2008-02-09 19:00:10 EST
I'm seeing the same problem with my HP Compaq 6510b. Works with
2.6.23.14-115.fc8, fails with 2.6.21-2952.fc8xen
Comment 4 Michael Kearey 2008-02-12 21:59:06 EST
'Me too' here. Neither NetworkManager nor old style can get the device to work.

Comment 5 Daniel Berrange 2008-02-12 22:55:14 EST
I want to set the expectation that we're not likely to do any investigative work
to fix this problem. The current Xen kernels are unmaintainable since they are
lagging bare-metal by 3 major releases. We're putting huge effort into
attempting to fix this for Fedora 9

http://fedoraproject.org/wiki/Features/XenPvops

but this unfortunately this means F8 Xen kernels have little-to-no resources. If
someone has reasonable patches that are available to fix the issue we can apply
them to kernel-xen in F8, but any non-trivial development/debug effort is
dead-end work at this point.
Comment 6 Michael Kearey 2008-02-13 01:39:25 EST
Thanks for letting us know Daniel, I can wait for F9, no problem at all.

Cheers
Comment 7 Douglas Campbell 2008-03-28 01:08:57 EDT
Under 2.6.21.7-3.fc8xen:
Mar 27 14:03:26 ferret kernel: iTCO_vendor_support: vendor-support=0
Mar 27 14:03:26 ferret kernel: iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network
Connection driver for Linux, 0.0.25kd
Mar 27 14:03:26 ferret kernel: iwl3945: Copyright(c) 2003-2007 Intel Corporation
Mar 27 14:03:26 ferret kernel: iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01
(21-Jan-2007)
Mar 27 14:03:26 ferret kernel: iTCO_wdt: Found a ICH7-M TCO device (Version=2,
TCOBASE=0x1060)
Mar 27 14:03:26 ferret kernel: iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
Mar 27 14:03:26 ferret kernel: e1000: 0000:05:00.0: e1000_probe: (PCI
Express:2.5Gb/s:Width x1) 00:16:36:b1:75:3a
Mar 27 14:03:26 ferret kernel: sdhci: Secure Digital Host Controller Interface
driver
Mar 27 14:03:26 ferret kernel: sdhci: Copyright(c) Pierre Ossman
Mar 27 14:03:26 ferret kernel: e1000: eth0: e1000_probe: Intel(R) PRO/1000
Network Connection
Mar 27 14:03:26 ferret kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Mar 27 14:03:26 ferret kernel: iwl3945: Detected Intel PRO/Wireless 3945ABG
Network Connection
...
Mar 27 14:03:35 ferret avahi-daemon[2036]: Found user 'avahi' (UID 498) and
group 'avahi' (GID 493).
Mar 27 14:03:35 ferret avahi-daemon[2036]: Successfully dropped root privileges.
Mar 27 14:03:35 ferret avahi-daemon[2036]: avahi-daemon 0.6.21 starting up.
Mar 27 14:03:35 ferret avahi-daemon[2036]: WARNING: No NSS support for mDNS
detected, consider installing nss-mdns!
Mar 27 14:03:35 ferret avahi-daemon[2036]: Successfully called chroot().
Mar 27 14:03:35 ferret avahi-daemon[2036]: Successfully dropped remaining
capabilities.


Under 2.6.24.3.fc8:

Mar 27 14:18:00 ferret kernel: iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network
Connection driver for Linux, 1.2.26kds
Mar 27 14:18:00 ferret kernel: iwl3945: Copyright(c) 2003-2008 Intel Corporation
Mar 27 14:18:00 ferret kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Mar 27 14:18:00 ferret kernel: iwl3945: Detected Intel Wireless WiFi Link 3945ABG
Mar 27 14:18:00 ferret kernel: iwl3945: Tunable channels: 11 802.11bg, 13
802.11a channels

Mar 27 14:19:12 ferret kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Mar 27 14:19:13 ferret kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Mar 27 14:19:15 ferret avahi-daemon[2321]: Registering new address record for
fe80::218:deff:fe84:bc4e on wlan0.*.
Mar 27 14:19:16 ferret avahi-daemon[2321]: Joining mDNS multicast group on
interface wlan0.IPv4 with address 192.168.7.134.
Mar 27 14:19:16 ferret avahi-daemon[2321]: New relevant interface wlan0.IPv4 for
mDNS.
Mar 27 14:19:16 ferret avahi-daemon[2321]: Registering new address record for
192.168.7.134 on wlan0.IPv4.

Several things:  (a) no "tunable channels" message out of xen kernel and avahi
has mDNS problems, and (b) a lot of devices coming ready simultaneously under
xen, which is not happening under the non-xen kernel.
Comment 8 biff 2008-09-11 00:13:28 EDT
I have this problem too - HP dv9220us / fedora 8
Comment 9 Bug Zapper 2008-11-26 03:55:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:28:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.